package com.nisum.mytime.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;

import com.nisum.mytime.model.EmployeeRoles;

public interface EmployeeRolesRepo
        extends MongoRepository<EmployeeRoles, String> {

    EmployeeRoles findByEmailId(String emailId);

    EmployeeRoles findByEmployeeId(String employeeId);

    EmployeeRoles findByEmployeeName(String employeeName);

    List<EmployeeRoles> findByEmpStatusAndFunctionalGroup(String empStatus,
            String functionalGroup);

    List<EmployeeRoles> findByEmpStatusOrderByEmployeeNameAsc(String empStatus);
    
    List<EmployeeRoles> findByEmpStatus(String status); 
}
